<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderTreeGridExView_layoutBase from './ibizorder-tree-grid-ex-view-layout-base.vue';

import view_treegridex from '@widgets/ibizorder/order-tree-grid-treegridex/order-tree-grid-treegridex.vue';
@Component({
    components: {
        view_treegridex, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderTreeGridExView_layout extends IBIZOrderTreeGridExView_layoutBase {

}
</script>